{Author: TGGC (http://pc.exit.de/tggc)}
uses crt;

type
    knd  = Record
           iNumber:     integer;
           sName:       String;
           iDay:        integer;
           iMonth:      integer;
           iYear:       integer;
           iMoney:      integer;
           End;

    fknd = file of knd;

var
   kndData:     Array[0..99] of knd;
   iDXData:     Array[0..99] of Integer;
   iNrOfKnd:    integer;
   cKey:        char;

procedure load;
var fkndFile:  fknd;
    textFile:  text;
    iTmp:      Integer;
begin
     assign(fkndFile,'kunden.dat');
     assign(textFile,'kunden.idx');
     reset(fkndFile);
     reset(textFile);

     iNrOfKnd:=0;
     while not EOF(fkndFile) do
     begin
          read(fkndFile,kndData[iNrOfKnd]);
          readln(textFile,iDXData[iNrOfKnd]);
          readln(textFile,iTmp);
          inc(iNrOfKnd);
     end;

     close(fkndFile);
     close(textFile);
end;

procedure save;
var fkndFile:  fknd;
    textFile:  text;
    iCount:    integer;
begin
     assign(fkndFile,'kunden.dat');
     assign(textFile,'kunden.idx');
     rewrite(fkndFile);
     rewrite(textFile);

     for iCount:=0 to iNrOfKnd-1 do
     begin
          write(fkndFile,kndData[iCount]);
          writeln(textFile,iDXData[iCount]);
          writeln(textFile,kndData[iDXData[iCount]].iNumber);
     end;

     close(fkndFile);
     close(textFile);
end;

procedure input;
var iCount:    integer;
begin

     iDXData[iNrOfKnd]:=iNrOfKnd;
     write('Kundennummer> ');
     readln(kndData[iNrOfKnd].iNumber);
     write('Name> ');
     readln(kndData[iNrOfKnd].sName);
     write('Datum tt mm jjjj> ');
     readln(      kndData[iNrOfKnd].iDay,
                  kndData[iNrOfKnd].iMonth,
                  kndData[iNrOfKnd].iYear);
     write('Umsatz> ');
     readln(kndData[iNrOfKnd].iMoney);

     inc(iNrOfKnd);
end;


procedure output;
var iCount:    integer;
begin
     writeln(' KD-Nummer                                 KD-Name       Datum    Umsatz');

     for iCount:=0 to iNrOfKnd-1 do
     writeln(     kndData[iDXData[iCount]].iNumber:10,
                  kndData[iDXData[iCount]].sName:40,
                  kndData[iDXData[iCount]].iDay:4,'.',
                  kndData[iDXData[iCount]].iMonth:2,'.',
                  kndData[iDXData[iCount]].iYear:4,
                  kndData[iDXData[iCount]].iMoney:10)
end;

begin
     iNrOfKnd:=0;

     repeat
          writeln('---Menu---');
          writeln('1>Laden');
          writeln('2>Speichern');
          writeln('3>Eingabe');
          writeln('4>Ausgabe');
          writeln('0>Ende');
          cKey:=readKey;

          case cKey of
          '1':load;
          '2':save;
          '3':input;
          '4':output;
          end;

     until (cKey='0')
end.

